Page MenuHomePhabricator

VisualEditor incorrectly says that I am adding a template to the page when editing an existing template transclusion
Closed, ResolvedPublic1 Story Points

Description

On fr.wikipedia.org , I am editing the article "L'Abolition (téléfilm)" with the Visual Editor.

I click in the infobox, to edit it.

The Visual Editor says, in french :

"You have added the template "Infobox Cinéma (film)" to this page."

This is incorrect. I did not do that.

MediaWiki is not aware that one article may be edited by different persons !

Thank you for correcting that.

Details

Related Gerrit Patches:

Event Timeline

Nnemo created this task.Jan 18 2015, 4:13 AM
Nnemo raised the priority of this task from to Needs Triage.
Nnemo updated the task description. (Show Details)
Nnemo added a subscriber: Nnemo.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 18 2015, 4:13 AM
matmarex added a subscriber: matmarex.EditedJan 18 2015, 4:15 AM

For those of us who do not speak French yet would like to investigate, can you copy-paste the exact wording of the incorrect text?

Krenair added a subscriber: Krenair.
matmarex added a comment.EditedJan 18 2015, 4:22 AM

Ah, I assume this is the 'visualeditor-dialog-transclusion-no-template-description' message, which is "{{GENDER:$3|Vous avez ajouté}} le modèle « $1 » à cette page. Il n’a pas encore de description, mais il peut y avoir des informations sur la <a $2>page du modèle</a>." in French and "{{GENDER:$3|You are adding}} the \"$1\" template to this page. It doesn't yet have a description, but there might be some information on the <a $2>template's page</a>." in English.

That is indeed incorrect in all languages, not just French, as the message is also displayed when editing an existing template transclusion.

matmarex renamed this task from The Visual Editor incorrectly says that I have added the template to the page to VisualEditor incorrectly says that I am adding a template to the page when editing an existing template transclusion.Jan 18 2015, 4:22 AM
matmarex set Security to None.
Nnemo added a comment.Feb 8 2015, 9:41 PM

Ah, I assume this is the 'visualeditor-dialog-transclusion-no-template-description' message, which is "{{GENDER:$3|Vous avez ajouté}} le modèle « $1 » à cette page. Il n’a pas encore de description, mais il peut y avoir des informations sur la <a $2>page du modèle</a>." in French and "{{GENDER:$3|You are adding}} the \"$1\" template to this page. It doesn't yet have a description, but there might be some information on the <a $2>template's page</a>." in English.

This text in french is what I see.

By the way, the link in english here is awkward. To be correct, it needs to be "the template's page".

Nnemo added a comment.EditedFeb 8 2015, 9:51 PM

I see that the english message says "You are adding".

The french message says "You have added".

Traduttore, tradittore !

I think that the french message has to be corrected towards the english meaning. I am going to do that.

Jdforrester-WMF changed the task status from Open to Stalled.Aug 13 2015, 11:17 PM
Jdforrester-WMF added a subscriber: Jdforrester-WMF.

Suggestions for fixes to the language to make this less ugly would be appreciated.

Jdforrester-WMF triaged this task as Medium priority.Aug 13 2015, 11:17 PM
Nnemo awarded a token.Nov 9 2015, 12:04 PM
matmarex claimed this task.Dec 7 2015, 1:20 AM

Change 257270 had a related patch set uploaded (by Bartosz Dziewoński):
Remove incorrect information from 'visualeditor-dialog-transclusion-no-template-description'

https://gerrit.wikimedia.org/r/257270

Jdforrester-WMF changed the task status from Stalled to Open.Dec 7 2015, 9:44 PM
Jdforrester-WMF closed this task as Resolved.Dec 7 2015, 9:59 PM
Jdforrester-WMF removed a project: Patch-For-Review.

Change 257270 merged by jenkins-bot:
MWTemplatePage: Re-word the no-description text to reflect being always there

https://gerrit.wikimedia.org/r/257270